com.singularsys.jep.configurableparser.matchers

## Class RegExpTokenMatcher

- java.lang.Object
- - com.singularsys.jep.configurableparser.matchers.RegExpTokenMatcher

- All Implemented Interfaces:
    TokenBuilder, TokenMatcher, java.io.Serializable
  Direct Known Subclasses:
    CommentTokenMatcher, HexNumberTokenMatcher, IdentifierTokenMatcher, NumberTokenMatcher, StringTokenMatcher, TerminatorTokenMatcher, WhiteSpaceTokenMatcher

      public abstract class RegExpTokenMatcher
      extends java.lang.Object
      implements TokenBuilder

  An abstract TokenMatcher which uses RegExp patterns to match patterns. Subclasses should overload the buildToken method which builds a token after a successful match.
  Author:
    Richard Morris
  See Also:
    `Pattern`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RegExpTokenMatcher(java.util.regex.Pattern pattern)` A token matcher which matches a specified of pattern.
    `RegExpTokenMatcher(java.lang.String regex)` A token matcher which matches a regular expression of pattern.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract Token` | `buildToken(java.lang.String s)` Builds a token following a successful match.
    `Token` | `match(java.lang.String s)` Attempts to match the start of the string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.singularsys.jep.configurableparser.matchers.TokenMatcher

      `init`

- - ### Constructor Detail

    - #### RegExpTokenMatcher

          public RegExpTokenMatcher(java.util.regex.Pattern pattern)

      A token matcher which matches a specified of pattern.
      Parameters:
        `pattern` - Pattern to match

    - #### RegExpTokenMatcher

          public RegExpTokenMatcher(java.lang.String regex)

      A token matcher which matches a regular expression of pattern.
      Parameters:
        `regex` - the expression to match

  - ### Method Detail

    - #### match

          public Token match(java.lang.String s)

      Attempts to match the start of the string.
      Specified by:
        `match` in interface `TokenMatcher`
      Parameters:
        `s` - the string to match against
      Returns:
        if successful returns the corresponding token, return null if failed to match

    - #### buildToken

          public abstract Token buildToken(java.lang.String s)

      Builds a token following a successful match. Note new objects should be created each time as error reporting information is later attached to tokens.
      Specified by:
        `buildToken` in interface `TokenBuilder`
      Parameters:
        `s` - String representing the completed matched token
      Returns:
        the appropriate type of token.

Copyright © 2018 Singular Systems http://www.singularsys.com/jep